Bug 1798573 - Imagestreams cannot be imported on an IPv6 AWS cluster because registry.redhat.io is not IPv6 enabled
Summary: Imagestreams cannot be imported on an IPv6 AWS cluster because registry.redha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1788676
Blocks: 1771572
TreeView+ depends on / blocked
 
Reported: 2020-02-05 15:32 UTC by Gabe Montero
Modified: 2020-03-10 23:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1788676
Environment:
Last Closed: 2020-03-10 23:53:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-samples-operator pull 218 0 None closed Bug 1798573: bootstrap as removed for if tbr inaccessible after 3 minutes 2020-04-14 19:56:04 UTC
Red Hat Product Errata RHBA-2020:0676 0 None None None 2020-03-10 23:53:43 UTC

Comment 10 XiuJuan Wang 2020-02-25 02:52:02 UTC
Hey, Gabe
I install an azure ipv6 cluster using 4.3.0-0.nightly-2020-02-21-091838-ipv6.2d1 payload, samples operator has been set to Removed by default.

I have a question, after setting to removed, samples operator still inquire the imagestream files, should we only need monitor the managementstate?
See detailed logs http://pastebin.test.redhat.com/839049

The cluster info http://pastebin.test.redhat.com/839048

$ oc get config.samples  -o yaml 
apiVersion: v1
items:
- apiVersion: samples.operator.openshift.io/v1
  kind: Config
  metadata:
    creationTimestamp: "2020-02-25T02:21:32Z"
    finalizers:
    - samples.operator.openshift.io/finalizer
    generation: 1
    name: cluster
    resourceVersion: "11581"
    selfLink: /apis/samples.operator.openshift.io/v1/configs/cluster
    uid: 25c5ce85-8ccf-471d-9faf-22edc4c0c5c0
  spec:
    architectures:
    - x86_64
    managementState: Removed
  status:
    conditions:
    - lastTransitionTime: "2020-02-25T02:21:54Z"
      lastUpdateTime: "2020-02-25T02:21:54Z"
      status: "False"
      type: RemovePending
    - lastTransitionTime: "2020-02-25T02:21:37Z"
      lastUpdateTime: "2020-02-25T02:21:37Z"
      status: "False"
      type: SamplesExist
    managementState: Removed
    version: 4.3.0-0.nightly-2020-02-21-091838-ipv6.2d1
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""

Comment 12 XiuJuan Wang 2020-02-26 03:01:45 UTC
Gabe, thank you for the explain.
Mark this bug to verified.

Comment 15 errata-xmlrpc 2020-03-10 23:53:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0676


Note You need to log in before you can comment on or make changes to this bug.